WMFS(1)

NAME
wmfs - Window Manager From Scratch

SYNOPSIS
wmfs [-ihvS] [-C <file>] [-c <uicb_function> <cmd>] [-g <argument>] [-s <screen_num> <string>] [-V <viwmfs cmd>]

DESCRIPTION
WMFS is a basic, lightweight and dynamic tiling windows manager for X.

OPTIONS

-C <file>
    Load a configuration file.

-c <uicb_function> <cmd>
    Execute an uicb function to control WMFS.

-g <argument>
    Show information about wmfs status.

-s <screen_num> <string>
    Set the bar(s) statustext. If the screen number is not specified, the string will be show on all screens bars.

-V <viwmfs cmd>
    Manage WMFS with vi-like command.

-S
    Update status script.

-v
    Print version information to standard output, then exit.

-h
    Print help information, then exit.

-i
    Print WMFS information

DEFAULT KEY BINDINGS

Control-Alt + r
    Reload WMFS binary

Control + Return
    Run a terminal (urxvt by default)

Alt + q
    Quit the selected client

Control-Alt-Shift + q
    Exit WMFS

Alt + m
    Toggle maximize the selected client

Alt + b
    Toggle the bar position between top, hide and bottom

Alt + Tab
    Give the focus to the next client

Alt-Shift + Tab
    Give the focus to the previous client

Control + Right
    Next tag

Control + Left
    Previous tag

Alt + Space
    Next layout

Alt-Shift + Space
    Previous layout

Alt + l
    Increase the mwfact (+0.025)

Alt + h
    Decrease the mwfact (-0.025)

Alt + d
    Increase the nmaster (+1)

Alt-Shift + d
    Decrease the nmaster (-1)

Alt + t
    Swap the current client with the next

Alt-Shift + t
    Swap the current client with the previous

Alt + p
    Make a launcher in the infobar to run an unix command

Alt + Escape
    Set WMFS in ViWMFS mode. (see wmfs -V)

Alt-Shift + p
    Make a launcher in the infobar to run an ssh session

Alt + F[1..9]
    Change tag view

Control-Shift +F[1..9]
    Transfert the selected client to the wanted tag

CONFIGURATION
WMFS is configured by $HOME/.config/wmfs/wmfsrc.

BUGS
WMFS isn't stable for now. So it certainly contains some bugs.

AUTHORS
Martin Duquesnoy <xorg62@gmail.com[1]>.

WWW
Main site: http://wmfs.info Bug tracker: http://bugs.wmfs.info

COPYING
WMFS is under the BSD license. See COPYING for more information.

NOTES

1.  xorg62@gmail.com
    mailto:xorg62@gmail.com